既定の意思決定プールはアーカイブできません
この問題が発生すると、APIは409 Conflictを返します。そのtypeはhttps://lingo.dev/docs/api/errors/decision-pool-system-immutableです。すべてのエラーに共通する形式については、エラーとステータスコードをご覧ください。
意思決定プール<id>は組織の既定のプールの一つのため、アーカイブできません。名前の変更は引き続き可能です。
フィールド#
レスポンス本文には、標準のtype、status、title、detailの各メンバーに加え、以下のフィールドが含まれます。detailのテキストはこれらのフィールドから生成されるため、クライアント側で独自のテキストに置き換えて表示できます。
| フィールド | 型 |
|---|---|
id | string |
例#
json
{
"detail": "Decision pool <id> is one of the organization's default pools and cannot be archived. It can still be renamed.",
"id": "<id>",
"type": "https://lingo.dev/docs/api/errors/decision-pool-system-immutable",
"status": 409,
"title": "Default decision pool cannot be archived"
}このエラーを返すエンドポイント#
POST /v2/organizations/{orgId}/decision-pools/{id}/archive